org.apache.ignite.internal.mem.file

## Class MappedFileMemoryProvider

- java.lang.Object
- - org.apache.ignite.internal.mem.file.MappedFileMemoryProvider

All Implemented Interfaces:
  DirectMemoryProvider

    public class MappedFileMemoryProvider
    extends Object
    implements DirectMemoryProvider

### Constructor Summary

Constructors
Constructor and Description
`MappedFileMemoryProvider(IgniteLogger log, File allocationPath)`

### Method Summary

Methods
`void` `initialize(long[] sizes)`
`DirectMemoryRegion` `nextRegion()` Attempts to allocate next memory region.
`void` `shutdown()` Shuts down the provider.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MappedFileMemoryProvider

    public MappedFileMemoryProvider(IgniteLogger log,
                            File allocationPath)

Parameters:
  `allocationPath` - Allocation path.

### Method Detail

#### initialize

    public void initialize(long[] sizes)

Specified by:
  `initialize` in interface `DirectMemoryProvider`
Parameters:
  `sizes` - Initializes provider with the chunk sizes.

#### shutdown

    public void shutdown()

Shuts down the provider. Will deallocate all previously allocated regions.

Specified by:
  `shutdown` in interface `DirectMemoryProvider`

#### nextRegion

    public DirectMemoryRegion nextRegion()

Attempts to allocate next memory region. Will return `null` if no more regions are available.

Specified by:
  `nextRegion` in interface `DirectMemoryProvider`
Returns:
  Next memory region.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017